# Copyright (C) 2018 Freetech Solutions

# This file is part of OMniLeads

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see http://www.gnu.org/licenses/.
#
---

- name: Download postgresql-{{ postgresql_version }} key
  rpm_key: key="{{ postgresql_key }}" state=present validate_certs=no
  when: postgresql_new_installed.rc != 3
  retries: 3
  delay: 3
  register: result
  until: result is success

# Se instala el repo de postgresql
- name: Install of postgresql-{{ postgresql_version }} repository
  yum: name={{ postgresql_repo }} state=present validate_certs=no update_cache=yes
  become: yes
  become_method: sudo
  when: postgresql_new_installed.rc != 3
  retries: 3
  delay: 3
  register: result
  until: result is success

  #Se instalan todos los paquetes de postgresql
- name: Install of postgresql-{{ postgresql_version }}
  shell: "yum install postgresql{{ postgresql_version }}* --skip-broken -y"
  #yum: name='postgresql{{ postgresql_version }}*' state=present
  when: postgresql_new_installed.rc != 3
  retries: 3
  delay: 3
  register: result
  until: result is success

- name: Install of python-psycopg2
  yum: name="{{ psycopg2_repo }}" state=present
  when: postgresql_new_installed.rc != 3
  retries: 3
  delay: 3
  register: result
  until: result is success